window.Gleam.initSearch([{"doc":"silk","title":"silk","content":"# silk\n\n[![Package Version](https://img.shields.io/hexpm/v/silk)](https://hex.pm/packages/silk)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/silk/)\n\nGleam wrapper for the Erlang port of wxWidgets.\n\nNote: silk is experimental and has not yet been completed.\nThe goal is to have an accurate mapping from built in Erlang functions to Gleam.\n\n```sh\ngleam add silk\n```\n```gleam\nimport gleam/erlang/process\nimport silk/boxsizer\nimport silk/constants\nimport silk/frame\nimport silk/sizer\nimport silk/statictext\nimport silk/window\nimport silk/wx\n\npub fn main() {\n  wx.new()\n  let frame =\n    frame.new4(wx.null(), constants.id_any, &quot;Demo Window&quot;, [\n      frame.Size(#(500, 500)),\n    ])\n  let sizer = boxsizer.new(constants.vertical)\n  let static = statictext.new3(frame, constants.id_any, &quot;Hello World&quot;)\n  sizer.add(sizer, static)\n\n  window.show(frame)\n  process.sleep_forever()\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/silk&gt;.\n","url":"index.html"},{"doc":"silk/types","title":"OkT","content":"pub type OkT {\n  Ok\n}\n\nOk\n\n\nSynonyms:\nsilk/types.OkT\nsilk/types OkT","url":"silk/types.html#OkT"},{"doc":"silk/types","title":"WxBoxSizer","content":"pub type WxBoxSizer(a)\n\n\nSynonyms:\nsilk/types.WxBoxSizer\nsilk/types WxBoxSizer","url":"silk/types.html#WxBoxSizer"},{"doc":"silk/types","title":"WxControl","content":"pub type WxControl(t)\n\n\nSynonyms:\nsilk/types.WxControl\nsilk/types WxControl","url":"silk/types.html#WxControl"},{"doc":"silk/types","title":"WxEvtHandler","content":"pub type WxEvtHandler(t)\n\n\nSynonyms:\nsilk/types.WxEvtHandler\nsilk/types WxEvtHandler","url":"silk/types.html#WxEvtHandler"},{"doc":"silk/types","title":"WxFrame","content":"pub type WxFrame\n\n\nSynonyms:\nsilk/types.WxFrame\nsilk/types WxFrame","url":"silk/types.html#WxFrame"},{"doc":"silk/types","title":"WxObject","content":"pub type WxObject(t)\n an internal type module, only to be used by silk or when extending silk.\n Always import from the module itself, not here.\n\nSynonyms:\nsilk/types.WxObject\nsilk/types WxObject","url":"silk/types.html#WxObject"},{"doc":"silk/types","title":"WxSizer","content":"pub type WxSizer(sizer)\n\n\nSynonyms:\nsilk/types.WxSizer\nsilk/types WxSizer","url":"silk/types.html#WxSizer"},{"doc":"silk/types","title":"WxSizerItem","content":"pub type WxSizerItem\n\n\nSynonyms:\nsilk/types.WxSizerItem\nsilk/types WxSizerItem","url":"silk/types.html#WxSizerItem"},{"doc":"silk/types","title":"WxStaticBoxSizer","content":"pub type WxStaticBoxSizer\n\n\nSynonyms:\nsilk/types.WxStaticBoxSizer\nsilk/types WxStaticBoxSizer","url":"silk/types.html#WxStaticBoxSizer"},{"doc":"silk/types","title":"WxStaticText","content":"pub type WxStaticText\n\n\nSynonyms:\nsilk/types.WxStaticText\nsilk/types WxStaticText","url":"silk/types.html#WxStaticText"},{"doc":"silk/types","title":"WxWebView","content":"pub type WxWebView\n\n\nSynonyms:\nsilk/types.WxWebView\nsilk/types WxWebView","url":"silk/types.html#WxWebView"},{"doc":"silk/types","title":"WxWindow","content":"pub type WxWindow(win)\n\n\nSynonyms:\nsilk/types.WxWindow\nsilk/types WxWindow","url":"silk/types.html#WxWindow"},{"doc":"silk/types","title":"silk/types","content":"","url":"silk/types.html"},{"doc":"silk/boxsizer","title":"WxBoxSizer","content":"pub type WxBoxSizer(a) =\n  types.WxSizer(types.WxBoxSizer(a))\n\n\nSynonyms:\nsilk/boxsizer.WxBoxSizer\nsilk/boxsizer WxBoxSizer","url":"silk/boxsizer.html#WxBoxSizer"},{"doc":"silk/boxsizer","title":"destroy","content":"pub fn destroy(this: WxSizer(WxBoxSizer(a))) -&gt; OkT\n Destroys the object\nSynonyms:\nsilk/boxsizer.destroy\nsilk/boxsizer destroy","url":"silk/boxsizer.html#destroy"},{"doc":"silk/boxsizer","title":"get_orientation","content":"pub fn get_orientation(this: WxSizer(WxBoxSizer(a))) -&gt; OkT\n Returns the orientation of the box sizer, either wxVERTICAL or wxHORIZONTAL.\nSynonyms:\nsilk/boxsizer.get_orientation\nsilk/boxsizer get_orientation","url":"silk/boxsizer.html#get_orientation"},{"doc":"silk/boxsizer","title":"new","content":"pub fn new(orient: Int) -&gt; WxSizer(WxBoxSizer(Nil))\n Constructor for a [`WxBoxSizer`](#WxBoxSizer).\nSynonyms:\nsilk/boxsizer.new\nsilk/boxsizer new","url":"silk/boxsizer.html#new"},{"doc":"silk/boxsizer","title":"silk/boxsizer","content":" The basic idea behind a box sizer is that windows will most often\n be laid out in rather simple basic geometry, typically in a row or\n a column or several hierarchies of either.\n\n Derived from [`WxSizer`](sizer.html#WxSizer)","url":"silk/boxsizer.html"},{"doc":"silk/sizer","title":"AddOption","content":"pub type AddOption {\n  Proportion(Int)\n  Flag(Int)\n  Border(Int)\n}\n\nProportion(Int)\n\n\nFlag(Int)\n\n\nBorder(Int)\n\n\nSynonyms:\nsilk/sizer.AddOption\nsilk/sizer AddOption","url":"silk/sizer.html#AddOption"},{"doc":"silk/sizer","title":"ClearOption","content":"pub type ClearOption {\n  DeleteWindows(Bool)\n}\n\nDeleteWindows(Bool)\n\n\nSynonyms:\nsilk/sizer.ClearOption\nsilk/sizer ClearOption","url":"silk/sizer.html#ClearOption"},{"doc":"silk/sizer","title":"StretchOption","content":"pub type StretchOption {\n  Prop(Int)\n}\n\nProp(Int)\n\n\nSynonyms:\nsilk/sizer.StretchOption\nsilk/sizer StretchOption","url":"silk/sizer.html#StretchOption"},{"doc":"silk/sizer","title":"WxSizer","content":"pub type WxSizer(t) =\n  types.WxSizer(t)\n\n\nSynonyms:\nsilk/sizer.WxSizer\nsilk/sizer WxSizer","url":"silk/sizer.html#WxSizer"},{"doc":"silk/sizer","title":"add","content":"pub fn add(\n  this: WxSizer(a),\n  window: WxObject(WxWindow(b)),\n) -&gt; WxSizerItem\n Appends a child to the sizer.\nSynonyms:\nsilk/sizer.add\nsilk/sizer add","url":"silk/sizer.html#add"},{"doc":"silk/sizer","title":"add3","content":"pub fn add3(\n  this: WxSizer(a),\n  window: WxObject(WxWindow(b)),\n  option: List(AddOption),\n) -&gt; OkT\n\nSynonyms:\nsilk/sizer.add3\nsilk/sizer add3","url":"silk/sizer.html#add3"},{"doc":"silk/sizer","title":"add4","content":"pub fn add4(\n  this: WxSizer(a),\n  width: Int,\n  height: Int,\n  option: List(AddOption),\n) -&gt; OkT\n\nSynonyms:\nsilk/sizer.add4\nsilk/sizer add4","url":"silk/sizer.html#add4"},{"doc":"silk/sizer","title":"add_spacer","content":"pub fn add_spacer(this: WxSizer(a), size: Int) -&gt; WxSizerItem\n This base function adds non-stretchable space to both the horizontal and vertical orientation of the sizer.\nSynonyms:\nsilk/sizer.add_spacer\nsilk/sizer add_spacer","url":"silk/sizer.html#add_spacer"},{"doc":"silk/sizer","title":"add_stretch_spacer","content":"pub fn add_stretch_spacer(this: WxSizer(a)) -&gt; WxSizerItem\n Equivalent to [`add_stretch_spacer2(this, [])`](#add_stretch_spacer2).\nSynonyms:\nsilk/sizer.add_stretch_spacer\nsilk/sizer add_stretch_spacer","url":"silk/sizer.html#add_stretch_spacer"},{"doc":"silk/sizer","title":"add_stretch_spacer2","content":"pub fn add_stretch_spacer2(\n  this: WxSizer(a),\n  option: List(StretchOption),\n) -&gt; WxSizerItem\n Adds stretchable space to the sizer.\nSynonyms:\nsilk/sizer.add_stretch_spacer2\nsilk/sizer add_stretch_spacer2","url":"silk/sizer.html#add_stretch_spacer2"},{"doc":"silk/sizer","title":"calc_min","content":"pub fn calc_min(this: WxSizer(a)) -&gt; #(Int, Int)\n This method is abstract and has to be overwritten by any derived class.\n\n Here, the sizer will do the actual calculation of its children&#39;s minimal sizes.\nSynonyms:\nsilk/sizer.calc_min\nsilk/sizer calc_min","url":"silk/sizer.html#calc_min"},{"doc":"silk/sizer","title":"clear","content":"pub fn clear(this: WxSizer(a)) -&gt; OkT\n Equivalent to [`clear2(this, [])`](#clear2).\nSynonyms:\nsilk/sizer.clear\nsilk/sizer clear","url":"silk/sizer.html#clear"},{"doc":"silk/sizer","title":"clear2","content":"pub fn clear2(this: WxSizer(a), option: ClearOption) -&gt; OkT\n Detaches all children from the sizer.\n\n If `delete_windows` is true then child windows will also be deleted.\n\n Notice that child sizers are always deleted, as a general consequence of the principle that sizers own their sizer children, but don&#39;t own their window children (because they are already owned by their parent windows).\nSynonyms:\nsilk/sizer.clear2\nsilk/sizer clear2","url":"silk/sizer.html#clear2"},{"doc":"silk/sizer","title":"detach","content":"pub fn detach(\n  this: WxSizer(a),\n  window: WxObject(WxWindow(b)),\n) -&gt; Bool\n Detach a item at position `index` from the sizer without destroying it.\n\n This method does not cause any layout or resizing to take place, call [`layout`](#layout) to update the layout &quot;on screen&quot; after detaching a child from the sizer. Returns true if the child item was found and detached, false otherwise.\nSynonyms:\nsilk/sizer.detach\nsilk/sizer detach","url":"silk/sizer.html#detach"},{"doc":"silk/sizer","title":"fit","content":"pub fn fit(\n  this: WxSizer(a),\n  window: WxObject(WxWindow(b)),\n) -&gt; #(Int, Int)\n Tell the sizer to resize the window so that its client area matches the sizer&#39;s minimal size (ComputeFittingClientSize() (not implemented in wx) is called to determine it).\n\n This is commonly done in the constructor of the window itself, see sample in the description of wxBoxSizer.\n\n Return: The new window size.\nSynonyms:\nsilk/sizer.fit\nsilk/sizer fit","url":"silk/sizer.html#fit"},{"doc":"silk/sizer","title":"silk/sizer","content":"","url":"silk/sizer.html"},{"doc":"silk/wx","title":"DebugLevel","content":"pub type DebugLevel {\n  None\n  Verbose\n  Trace\n  Driver\n}\n\nNone\n\n\nVerbose\n\n\nTrace\n\n\nDriver\n\n\nSynonyms:\nsilk/wx.DebugLevel\nsilk/wx DebugLevel","url":"silk/wx.html#DebugLevel"},{"doc":"silk/wx","title":"WxColour","content":"pub type WxColour =\n  #(Int, Int, Int, Int)\n\n\nSynonyms:\nsilk/wx.WxColour\nsilk/wx WxColour","url":"silk/wx.html#WxColour"},{"doc":"silk/wx","title":"WxColour4","content":"pub type WxColour4 =\n  #(Int, Int, Int, Int)\n\n\nSynonyms:\nsilk/wx.WxColour4\nsilk/wx WxColour4","url":"silk/wx.html#WxColour4"},{"doc":"silk/wx","title":"WxDatetime","content":"pub type WxDatetime =\n  #(#(Int, Int, Int), #(Int, Int, Int))\n In Local Timezone\n\nSynonyms:\nsilk/wx.WxDatetime\nsilk/wx WxDatetime","url":"silk/wx.html#WxDatetime"},{"doc":"silk/wx","title":"WxEnum","content":"pub type WxEnum =\n  Int\n Constant defined in wx.hrl\n\nSynonyms:\nsilk/wx.WxEnum\nsilk/wx WxEnum","url":"silk/wx.html#WxEnum"},{"doc":"silk/wx","title":"WxEnv","content":"pub type WxEnv\n Opaque process environment\n\nSynonyms:\nsilk/wx.WxEnv\nsilk/wx WxEnv","url":"silk/wx.html#WxEnv"},{"doc":"silk/wx","title":"WxMemory","content":"pub type WxMemory =\n  BitArray\n Opaque memory reference\n\nSynonyms:\nsilk/wx.WxMemory\nsilk/wx WxMemory","url":"silk/wx.html#WxMemory"},{"doc":"silk/wx","title":"WxObject","content":"pub type WxObject(t) =\n  types.WxObject(t)\n Opaque object reference\n\nSynonyms:\nsilk/wx.WxObject\nsilk/wx WxObject","url":"silk/wx.html#WxObject"},{"doc":"silk/wx","title":"WxRef","content":"pub type WxRef {\n  WxRef(Int)\n}\n\nWxRef(Int)\n\n\nSynonyms:\nsilk/wx.WxRef\nsilk/wx WxRef","url":"silk/wx.html#WxRef"},{"doc":"silk/wx","title":"WxWxHtmlLinkInfo","content":"pub type WxWxHtmlLinkInfo\n\n\nSynonyms:\nsilk/wx.WxWxHtmlLinkInfo\nsilk/wx WxWxHtmlLinkInfo","url":"silk/wx.html#WxWxHtmlLinkInfo"},{"doc":"silk/wx","title":"WxWxMouseState","content":"pub type WxWxMouseState\n\n\nSynonyms:\nsilk/wx.WxWxMouseState\nsilk/wx WxWxMouseState","url":"silk/wx.html#WxWxMouseState"},{"doc":"silk/wx","title":"batch","content":"pub fn batch(fun: fn() -&gt; Nil) -&gt; Dynamic\n Batches all wx commands used in the fun. Improves performance of the command processing by grabbing the wxWidgets thread so that no event processing will be done before the complete batch of commands is invoked.\nSynonyms:\nsilk/wx.batch\nsilk/wx batch","url":"silk/wx.html#batch"},{"doc":"silk/wx","title":"coerce","content":"pub fn coerce(input: a) -&gt; b\n\nSynonyms:\nsilk/wx.coerce\nsilk/wx coerce","url":"silk/wx.html#coerce"},{"doc":"silk/wx","title":"create_memory","content":"pub fn create_memory(size: Int) -&gt; BitArray\n Creates a memory area (of Size in bytes) which can be used by an external library (i.e. opengl). It is up to the client to keep a reference to this object so it does not get garbage collected by erlang while still in use by the external library.\nSynonyms:\nsilk/wx.create_memory\nsilk/wx create_memory","url":"silk/wx.html#create_memory"},{"doc":"silk/wx","title":"debug","content":"pub fn debug(level: DebugLevel) -&gt; OkT\n Sets debug level. If debug level is &#39;verbose&#39; or &#39;trace&#39; each call is printed on console. If Level is &#39;driver&#39; each allocated object and deletion is printed on the console.\nSynonyms:\nsilk/wx.debug\nsilk/wx debug","url":"silk/wx.html#debug"},{"doc":"silk/wx","title":"demo","content":"pub fn demo() -&gt; Result(Nil, Atom)\n Starts a Wx demo if examples directory exists and is compiled\nSynonyms:\nsilk/wx.demo\nsilk/wx demo","url":"silk/wx.html#demo"},{"doc":"silk/wx","title":"destroy","content":"pub fn destroy() -&gt; OkT\n Stops a wx server.\nSynonyms:\nsilk/wx.destroy\nsilk/wx destroy","url":"silk/wx.html#destroy"},{"doc":"silk/wx","title":"equal","content":"pub fn equal(ref1: WxObject(a), ref2: WxObject(b)) -&gt; Bool\n Returns true if both arguments references the same object, false otherwise\nSynonyms:\nsilk/wx.equal\nsilk/wx equal","url":"silk/wx.html#equal"},{"doc":"silk/wx","title":"foldl","content":"pub fn foldl(fun: fn(a, b) -&gt; c, acc: b, list: List(a)) -&gt; b\n Behaves like `lists:foldl/3` but batches wx commands. See [`batch`](#batch).\nSynonyms:\nsilk/wx.foldl\nsilk/wx foldl","url":"silk/wx.html#foldl"},{"doc":"silk/wx","title":"foldr","content":"pub fn foldr(fun: fn(a, b) -&gt; c, acc: b, list: List(a)) -&gt; b\n Behaves like `lists:foldr/3` but batches wx commands. See [`batch`](#batch).\nSynonyms:\nsilk/wx.foldr\nsilk/wx foldr","url":"silk/wx.html#foldr"},{"doc":"silk/wx","title":"foreach","content":"pub fn foreach(fun: fn(a) -&gt; b, list: List(a)) -&gt; Nil\n Behaves like `lists:foreach/2` but batches wx commands. See [`batch`](#batch).\nSynonyms:\nsilk/wx.foreach\nsilk/wx foreach","url":"silk/wx.html#foreach"},{"doc":"silk/wx","title":"get_env","content":"pub fn get_env() -&gt; WxEnv\n Gets this process&#39;s current wx environment. Can be sent to other processes to allow them use this process wx environment.\nSynonyms:\nsilk/wx.get_env\nsilk/wx get_env","url":"silk/wx.html#get_env"},{"doc":"silk/wx","title":"get_memory_bin","content":"pub fn get_memory_bin(wx_mem: BitArray) -&gt; BitArray\n Returns the memory area as a binary.\nSynonyms:\nsilk/wx.get_memory_bin\nsilk/wx get_memory_bin","url":"silk/wx.html#get_memory_bin"},{"doc":"silk/wx","title":"get_object_type","content":"pub fn get_object_type(wx_ref: WxRef) -&gt; Atom\n Returns the object type\nSynonyms:\nsilk/wx.get_object_type\nsilk/wx get_object_type","url":"silk/wx.html#get_object_type"},{"doc":"silk/wx","title":"is_null","content":"pub fn is_null(wx_ref: WxObject(a)) -&gt; Bool\n Returns true if object is null, false otherwise\nSynonyms:\nsilk/wx.is_null\nsilk/wx is_null","url":"silk/wx.html#is_null"},{"doc":"silk/wx","title":"map","content":"pub fn map(fun: fn(a) -&gt; b, list: List(a)) -&gt; List(b)\n Behaves like `lists:map/2` but batches wx commands. See [`batch`](#batch).\nSynonyms:\nsilk/wx.map\nsilk/wx map","url":"silk/wx.html#map"},{"doc":"silk/wx","title":"new","content":"pub fn new() -&gt; WxObject(a)\n Starts a wx server.\nSynonyms:\nsilk/wx.new\nsilk/wx new","url":"silk/wx.html#new"},{"doc":"silk/wx","title":"null","content":"pub fn null() -&gt; WxObject(a)\n Returns the null object\nSynonyms:\nsilk/wx.null\nsilk/wx null","url":"silk/wx.html#null"},{"doc":"silk/wx","title":"parent_class","content":"pub fn parent_class(wx_ref: WxObject(a)) -&gt; Bool\n\nSynonyms:\nsilk/wx.parent_class\nsilk/wx parent_class","url":"silk/wx.html#parent_class"},{"doc":"silk/wx","title":"release_memory","content":"pub fn release_memory(wx_mem: BitArray) -&gt; OkT\n Releases the memory retained by [`retain_memory`](#retain_memory)\nSynonyms:\nsilk/wx.release_memory\nsilk/wx release_memory","url":"silk/wx.html#release_memory"},{"doc":"silk/wx","title":"retain_memory","content":"pub fn retain_memory(wx_mem: BitArray) -&gt; OkT\n Saves the memory from deletion until [`release_memory`](#release_memory) is called. If [`release_memory`](#release_memory) is not called the memory will not be garbage collected.\nSynonyms:\nsilk/wx.retain_memory\nsilk/wx retain_memory","url":"silk/wx.html#retain_memory"},{"doc":"silk/wx","title":"set_env","content":"pub fn set_env(wx_env: WxEnv) -&gt; OkT\n Sets the process wx environment, allows this process to use another process wx environment.\nSynonyms:\nsilk/wx.set_env\nsilk/wx set_env","url":"silk/wx.html#set_env"},{"doc":"silk/wx","title":"silk/wx","content":" A port of wxWidgets.\n\n This is the base api of wxWidgets. This module contains functions for starting and stopping the wx-server, as well as other utility functions.\n\n wxWidgets is object oriented, and not functional. Thus, in Wx a module represents a class, and the object created by this class has an own type, wxCLASS(). This module represents the base class, and all other wxMODULE&#39;s are sub-classes of this class.\n\n Objects of a class are created with wxCLASS:new(...) and destroyed with wxCLASS:destroy(). Member functions are called with wxCLASS:member(Object, ...) instead of as in C++ Object.member(...).\n\n Sub class modules inherit (non static) functions from their parents. The inherited functions are not documented in the sub-classes.","url":"silk/wx.html"},{"doc":"silk/window","title":"CloseOption","content":"pub type CloseOption {\n  Force(Bool)\n}\n\nForce(Bool)\n\n\nSynonyms:\nsilk/window.CloseOption\nsilk/window CloseOption","url":"silk/window.html#CloseOption"},{"doc":"silk/window","title":"WxWindow","content":"pub type WxWindow(win) =\n  types.WxObject(types.WxWindow(win))\n\n\nSynonyms:\nsilk/window.WxWindow\nsilk/window WxWindow","url":"silk/window.html#WxWindow"},{"doc":"silk/window","title":"cache_best_size","content":"pub fn cache_best_size(\n  this: WxObject(WxWindow(a)),\n  size: #(Int, Int),\n) -&gt; Result(Nil, Nil)\n Sets the cached best size value.\nSynonyms:\nsilk/window.cache_best_size\nsilk/window cache_best_size","url":"silk/window.html#cache_best_size"},{"doc":"silk/window","title":"can_set_transparent","content":"pub fn can_set_transparent(this: WxObject(WxWindow(a))) -&gt; Bool\n Returns true if the system supports transparent windows and calling setTransparent/2 may succeed.\nSynonyms:\nsilk/window.can_set_transparent\nsilk/window can_set_transparent","url":"silk/window.html#can_set_transparent"},{"doc":"silk/window","title":"capture_mouse","content":"pub fn capture_mouse(\n  this: WxObject(WxWindow(a)),\n) -&gt; Result(Nil, Nil)\n Directs all mouse input to this window.\nSynonyms:\nsilk/window.capture_mouse\nsilk/window capture_mouse","url":"silk/window.html#capture_mouse"},{"doc":"silk/window","title":"center","content":"pub fn center(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n Equivalent to `center2(this, [])`.\nSynonyms:\nsilk/window.center\nsilk/window center","url":"silk/window.html#center"},{"doc":"silk/window","title":"center_on_parent","content":"pub fn center_on_parent(\n  this: WxObject(WxWindow(a)),\n) -&gt; Result(Nil, Nil)\n Equivalent to: `center_on_parent2(this, [])`\nSynonyms:\nsilk/window.center_on_parent\nsilk/window center_on_parent","url":"silk/window.html#center_on_parent"},{"doc":"silk/window","title":"centre","content":"pub fn centre(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n Centres the window.\nSynonyms:\nsilk/window.centre\nsilk/window centre","url":"silk/window.html#centre"},{"doc":"silk/window","title":"centre_on_parent","content":"pub fn centre_on_parent(\n  this: WxObject(WxWindow(a)),\n) -&gt; Result(Nil, Nil)\n Equivalent to `centre_on_parent(this, [])`.\nSynonyms:\nsilk/window.centre_on_parent\nsilk/window centre_on_parent","url":"silk/window.html#centre_on_parent"},{"doc":"silk/window","title":"client_to_screen","content":"pub fn client_to_screen(\n  this: WxObject(WxWindow(a)),\n  x: b,\n  y: b,\n) -&gt; #(Int, Int)\n Converts to screen coordinates from coordinates relative to this window.\nSynonyms:\nsilk/window.client_to_screen\nsilk/window client_to_screen","url":"silk/window.html#client_to_screen"},{"doc":"silk/window","title":"close","content":"pub fn close(this: WxObject(WxWindow(a))) -&gt; Bool\n Equivalent to close2(This, []).\nSynonyms:\nsilk/window.close\nsilk/window close","url":"silk/window.html#close"},{"doc":"silk/window","title":"close2","content":"pub fn close2(\n  this: WxObject(WxWindow(a)),\n  options: List(CloseOption),\n) -&gt; Bool\n This function simply generates a `wxCloseEvent` whose handler usually tries to close the window.\nSynonyms:\nsilk/window.close2\nsilk/window close2","url":"silk/window.html#close2"},{"doc":"silk/window","title":"create","content":"pub fn create(\n  this: WxObject(WxWindow(a)),\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n) -&gt; Bool\n\nSynonyms:\nsilk/window.create\nsilk/window create","url":"silk/window.html#create"},{"doc":"silk/window","title":"destroy","content":"pub fn destroy(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.destroy\nsilk/window destroy","url":"silk/window.html#destroy"},{"doc":"silk/window","title":"destroy_children","content":"pub fn destroy_children(this: WxObject(WxWindow(a))) -&gt; Bool\n\nSynonyms:\nsilk/window.destroy_children\nsilk/window destroy_children","url":"silk/window.html#destroy_children"},{"doc":"silk/window","title":"disable","content":"pub fn disable(this: WxObject(WxWindow(a))) -&gt; Bool\n\nSynonyms:\nsilk/window.disable\nsilk/window disable","url":"silk/window.html#disable"},{"doc":"silk/window","title":"fit","content":"pub fn fit(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.fit\nsilk/window fit","url":"silk/window.html#fit"},{"doc":"silk/window","title":"fit_inside","content":"pub fn fit_inside(\n  this: WxObject(WxWindow(a)),\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.fit_inside\nsilk/window fit_inside","url":"silk/window.html#fit_inside"},{"doc":"silk/window","title":"get_id","content":"pub fn get_id(this: WxObject(WxWindow(a))) -&gt; Int\n\nSynonyms:\nsilk/window.get_id\nsilk/window get_id","url":"silk/window.html#get_id"},{"doc":"silk/window","title":"hide","content":"pub fn hide(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.hide\nsilk/window hide","url":"silk/window.html#hide"},{"doc":"silk/window","title":"new","content":"pub fn new() -&gt; WxObject(WxWindow(a))\n\nSynonyms:\nsilk/window.new\nsilk/window new","url":"silk/window.html#new"},{"doc":"silk/window","title":"new_2","content":"pub fn new_2(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n) -&gt; WxObject(WxWindow(a))\n\nSynonyms:\nsilk/window.new_2\nsilk/window new_2","url":"silk/window.html#new_2"},{"doc":"silk/window","title":"refresh","content":"pub fn refresh(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.refresh\nsilk/window refresh","url":"silk/window.html#refresh"},{"doc":"silk/window","title":"set_background_colour","content":"pub fn set_background_colour(\n  this: WxObject(WxWindow(a)),\n  colour: #(Int, Int, Int, Int),\n) -&gt; Bool\n\nSynonyms:\nsilk/window.set_background_colour\nsilk/window set_background_colour","url":"silk/window.html#set_background_colour"},{"doc":"silk/window","title":"set_client_size","content":"pub fn set_client_size(\n  this: WxObject(WxWindow(a)),\n  width: Int,\n  height: Int,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.set_client_size\nsilk/window set_client_size","url":"silk/window.html#set_client_size"},{"doc":"silk/window","title":"set_foreground_colour","content":"pub fn set_foreground_colour(\n  this: WxObject(WxWindow(a)),\n  colour: #(Int, Int, Int, Int),\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.set_foreground_colour\nsilk/window set_foreground_colour","url":"silk/window.html#set_foreground_colour"},{"doc":"silk/window","title":"set_help_text","content":"pub fn set_help_text(\n  this: WxObject(WxWindow(a)),\n  help_text: String,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.set_help_text\nsilk/window set_help_text","url":"silk/window.html#set_help_text"},{"doc":"silk/window","title":"set_id","content":"pub fn set_id(\n  this: WxObject(WxWindow(a)),\n  winid: Int,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.set_id\nsilk/window set_id","url":"silk/window.html#set_id"},{"doc":"silk/window","title":"set_label","content":"pub fn set_label(\n  this: WxObject(WxWindow(a)),\n  label: String,\n) -&gt; Nil\n\nSynonyms:\nsilk/window.set_label\nsilk/window set_label","url":"silk/window.html#set_label"},{"doc":"silk/window","title":"set_name","content":"pub fn set_name(this: WxObject(WxWindow(a)), name: String) -&gt; Nil\n\nSynonyms:\nsilk/window.set_name\nsilk/window set_name","url":"silk/window.html#set_name"},{"doc":"silk/window","title":"set_size","content":"pub fn set_size(\n  this: WxObject(WxWindow(a)),\n  width: Int,\n  height: Int,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.set_size\nsilk/window set_size","url":"silk/window.html#set_size"},{"doc":"silk/window","title":"set_size_pos","content":"pub fn set_size_pos(\n  this: WxObject(WxWindow(a)),\n  x: Int,\n  y: Int,\n  width: Int,\n  height: Int,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.set_size_pos\nsilk/window set_size_pos","url":"silk/window.html#set_size_pos"},{"doc":"silk/window","title":"set_sizer","content":"pub fn set_sizer(\n  this: WxObject(WxWindow(a)),\n  sizer: WxSizer(b),\n) -&gt; Nil\n Sets the window to have the given layout sizer.\n\n The window will then own the object, and will take care of its deletion. If an existing layout constraints object is already owned by the window, it will be deleted if the deleteOld parameter is true.\n\n Note that this function will also call setAutoLayout/2 implicitly with true parameter if the sizer is non-NULL and false otherwise so that the sizer will be effectively used to layout the window children whenever it is resized.\n\n Remark: SetSizer enables and disables Layout automatically.\nSynonyms:\nsilk/window.set_sizer\nsilk/window set_sizer","url":"silk/window.html#set_sizer"},{"doc":"silk/window","title":"show","content":"pub fn show(this: WxObject(WxWindow(a))) -&gt; Bool\n\nSynonyms:\nsilk/window.show\nsilk/window show","url":"silk/window.html#show"},{"doc":"silk/window","title":"update","content":"pub fn update(this: WxObject(WxWindow(a))) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/window.update\nsilk/window update","url":"silk/window.html#update"},{"doc":"silk/window","title":"silk/window","content":" wxWindow is the base class for all windows and represents any\n visible object on screen.\n\n All controls, top level windows and so on are windows. Sizers\n and device contexts are not, however, as they don&#39;t appear on\n screen themselves.\n\n Please note that all children of the window will be deleted\n automatically by the destructor before the window itself is\n deleted which means that you don&#39;t have to worry about deleting\n them manually. Please see the window deletion overview for more\n information.\n\n Also note that in this, and many others, wxWidgets classes some\n `GetXXX()` methods may be overloaded (as, for example, `getSize`\n or `getClientSize`). In this case, the overloads are non-virtual\n because having multiple virtual functions with the same name\n results in a virtual function name hiding at the derived class\n level (in English, this means that the derived class has to\n override all overloaded variants if it overrides any of them).\n To allow overriding them in the derived class, wxWidgets uses a\n //// unique protected virtual `DoGetXXX()` method and all\n `GetXXX()` ones are forwarded to it, so overriding the former\n changes the behaviour of the latter.\n\n Derived from [`WxEvtHandler`](wxevthandler.html#WxEvtHandler)","url":"silk/window.html"},{"doc":"silk/frame","title":"Option","content":"pub type Option {\n  Pos(#(Int, Int))\n  Size(#(Int, Int))\n  Style(Int)\n}\n\nPos(#(Int, Int))\n\n\nSize(#(Int, Int))\n\n\nStyle(Int)\n\n\nSynonyms:\nsilk/frame.Option\nsilk/frame Option","url":"silk/frame.html#Option"},{"doc":"silk/frame","title":"WxFrame","content":"pub type WxFrame =\n  WxWindow(types.WxFrame)\n\n\nSynonyms:\nsilk/frame.WxFrame\nsilk/frame WxFrame","url":"silk/frame.html#WxFrame"},{"doc":"silk/frame","title":"create","content":"pub fn create(\n  this: WxObject(WxWindow(WxFrame)),\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  title: String,\n) -&gt; Bool\n Equivalent to `create(this, parent, id, title, [])`.\nSynonyms:\nsilk/frame.create\nsilk/frame create","url":"silk/frame.html#create"},{"doc":"silk/frame","title":"create5","content":"pub fn create5(\n  this: WxObject(WxWindow(WxFrame)),\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  title: String,\n  options: List(Option),\n) -&gt; Bool\n Used in two-step frame construction.\nSynonyms:\nsilk/frame.create5\nsilk/frame create5","url":"silk/frame.html#create5"},{"doc":"silk/frame","title":"destroy","content":"pub fn destroy(this: WxObject(WxWindow(WxFrame))) -&gt; OkT\n Destroys the object\nSynonyms:\nsilk/frame.destroy\nsilk/frame destroy","url":"silk/frame.html#destroy"},{"doc":"silk/frame","title":"get_client_area_origin","content":"pub fn get_client_area_origin(\n  this: WxObject(WxWindow(WxFrame)),\n) -&gt; #(Int, Int)\n Returns the origin of the frame client area (in client coordinates).\nSynonyms:\nsilk/frame.get_client_area_origin\nsilk/frame get_client_area_origin","url":"silk/frame.html#get_client_area_origin"},{"doc":"silk/frame","title":"new","content":"pub fn new() -&gt; WxObject(WxWindow(WxFrame))\n Default constructor.\nSynonyms:\nsilk/frame.new\nsilk/frame new","url":"silk/frame.html#new"},{"doc":"silk/frame","title":"new3","content":"pub fn new3(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  title: String,\n) -&gt; WxObject(WxWindow(WxFrame))\n Equivalent to `new(parent, id, title, [])`.\nSynonyms:\nsilk/frame.new3\nsilk/frame new3","url":"silk/frame.html#new3"},{"doc":"silk/frame","title":"new4","content":"pub fn new4(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  title: String,\n  options: List(Option),\n) -&gt; WxObject(WxWindow(WxFrame))\n Constructor, creating the window.\nSynonyms:\nsilk/frame.new4\nsilk/frame new4","url":"silk/frame.html#new4"},{"doc":"silk/frame","title":"process_command","content":"pub fn process_command(\n  this: WxObject(WxWindow(WxFrame)),\n  id: Int,\n) -&gt; Bool\n Simulate a menu command.\nSynonyms:\nsilk/frame.process_command\nsilk/frame process_command","url":"silk/frame.html#process_command"},{"doc":"silk/frame","title":"send_size_event","content":"pub fn send_size_event(this: WxObject(WxWindow(WxFrame))) -&gt; OkT\n Equivalent to `send_size_event(this, [])`.\nSynonyms:\nsilk/frame.send_size_event\nsilk/frame send_size_event","url":"silk/frame.html#send_size_event"},{"doc":"silk/frame","title":"set_status_text","content":"pub fn set_status_text(\n  this: WxObject(WxWindow(WxFrame)),\n  text: String,\n) -&gt; OkT\n Equivalent to `set_status_text(this, text, [])`.\nSynonyms:\nsilk/frame.set_status_text\nsilk/frame set_status_text","url":"silk/frame.html#set_status_text"},{"doc":"silk/frame","title":"set_status_widths","content":"pub fn set_status_widths(\n  this: WxObject(WxWindow(WxFrame)),\n  widths_field: List(Int),\n) -&gt; OkT\n Sets the widths of the fields in the status bar.\nSynonyms:\nsilk/frame.set_status_widths\nsilk/frame set_status_widths","url":"silk/frame.html#set_status_widths"},{"doc":"silk/frame","title":"silk/frame","content":" A frame is a window whose size and position can (usually) be changed by the user.\n\n It usually has thick borders and a title bar, and can optionally contain a menu\n bar, toolbar and status bar. A frame can contain any window that is not a frame or\n dialog.\n\n Derived from [`WxTopLevelWindow`](toplevelwindow.html#WxTopLevelWindow) [`WxWindow`](window.html#WxWindow) [`WxEvtHandler`](evthandler.html#WxEvtHandler)","url":"silk/frame.html"},{"doc":"silk/webview","title":"EditableOption","content":"pub type EditableOption {\n  Enable(Bool)\n}\n\nEnable(Bool)\n\n\nSynonyms:\nsilk/webview.EditableOption\nsilk/webview EditableOption","url":"silk/webview.html#EditableOption"},{"doc":"silk/webview","title":"Option","content":"pub type Option {\n  Url(String)\n  Pos(#(Int, Int))\n  Size(#(Int, Int))\n  Backend(String)\n  Style(Int)\n}\n\nUrl(String)\n\n\nPos(#(Int, Int))\n\n\nSize(#(Int, Int))\n\n\nBackend(String)\n\n\nStyle(Int)\n\n\nSynonyms:\nsilk/webview.Option\nsilk/webview Option","url":"silk/webview.html#Option"},{"doc":"silk/webview","title":"WxWebView","content":"pub type WxWebView =\n  WxWindow(types.WxControl(types.WxWebView))\n\n\nSynonyms:\nsilk/webview.WxWebView\nsilk/webview WxWebView","url":"silk/webview.html#WxWebView"},{"doc":"silk/webview","title":"can_copy","content":"pub fn can_copy(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if the current selection can be copied.\nSynonyms:\nsilk/webview.can_copy\nsilk/webview can_copy","url":"silk/webview.html#can_copy"},{"doc":"silk/webview","title":"can_cut","content":"pub fn can_cut(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if the current selection can be cut.\nSynonyms:\nsilk/webview.can_cut\nsilk/webview can_cut","url":"silk/webview.html#can_cut"},{"doc":"silk/webview","title":"can_go_back","content":"pub fn can_go_back(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if it is possible to navigate backward in the history of visited pages.\nSynonyms:\nsilk/webview.can_go_back\nsilk/webview can_go_back","url":"silk/webview.html#can_go_back"},{"doc":"silk/webview","title":"can_go_forward","content":"pub fn can_go_forward(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if it is possible to navigate forward in the history of visited pages.\nSynonyms:\nsilk/webview.can_go_forward\nsilk/webview can_go_forward","url":"silk/webview.html#can_go_forward"},{"doc":"silk/webview","title":"can_paste","content":"pub fn can_paste(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if data can be pasted.\nSynonyms:\nsilk/webview.can_paste\nsilk/webview can_paste","url":"silk/webview.html#can_paste"},{"doc":"silk/webview","title":"can_redo","content":"pub fn can_redo(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if there is an action to redo.\nSynonyms:\nsilk/webview.can_redo\nsilk/webview can_redo","url":"silk/webview.html#can_redo"},{"doc":"silk/webview","title":"can_undo","content":"pub fn can_undo(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if there is an action to undo.\nSynonyms:\nsilk/webview.can_undo\nsilk/webview can_undo","url":"silk/webview.html#can_undo"},{"doc":"silk/webview","title":"clear_history","content":"pub fn clear_history(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Clear the history, this will also remove the visible page.\nSynonyms:\nsilk/webview.clear_history\nsilk/webview clear_history","url":"silk/webview.html#clear_history"},{"doc":"silk/webview","title":"clear_selection","content":"pub fn clear_selection(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Clears the current selection.\nSynonyms:\nsilk/webview.clear_selection\nsilk/webview clear_selection","url":"silk/webview.html#clear_selection"},{"doc":"silk/webview","title":"copy","content":"pub fn copy(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Copies the current selection.\nSynonyms:\nsilk/webview.copy\nsilk/webview copy","url":"silk/webview.html#copy"},{"doc":"silk/webview","title":"cut","content":"pub fn cut(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Cuts the current selection.\nSynonyms:\nsilk/webview.cut\nsilk/webview cut","url":"silk/webview.html#cut"},{"doc":"silk/webview","title":"delete_selection","content":"pub fn delete_selection(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Deletes the current selection.\nSynonyms:\nsilk/webview.delete_selection\nsilk/webview delete_selection","url":"silk/webview.html#delete_selection"},{"doc":"silk/webview","title":"get_current_title","content":"pub fn get_current_title(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; String\n Get the title of the current web page, or its URL/path if title is not available.\nSynonyms:\nsilk/webview.get_current_title\nsilk/webview get_current_title","url":"silk/webview.html#get_current_title"},{"doc":"silk/webview","title":"get_current_url","content":"pub fn get_current_url(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; String\n Get the URL of the currently displayed document.\nSynonyms:\nsilk/webview.get_current_url\nsilk/webview get_current_url","url":"silk/webview.html#get_current_url"},{"doc":"silk/webview","title":"get_page_source","content":"pub fn get_page_source(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; String\n Get the HTML source code of the currently displayed document.\n\n Return: The HTML source code, or an empty string if no page is currently shown.\nSynonyms:\nsilk/webview.get_page_source\nsilk/webview get_page_source","url":"silk/webview.html#get_page_source"},{"doc":"silk/webview","title":"get_page_text","content":"pub fn get_page_text(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; String\n Get the text of the current page.\nSynonyms:\nsilk/webview.get_page_text\nsilk/webview get_page_text","url":"silk/webview.html#get_page_text"},{"doc":"silk/webview","title":"get_selected_source","content":"pub fn get_selected_source(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; String\n Returns the currently selected source, if any.\nSynonyms:\nsilk/webview.get_selected_source\nsilk/webview get_selected_source","url":"silk/webview.html#get_selected_source"},{"doc":"silk/webview","title":"get_selected_text","content":"pub fn get_selected_text(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; String\n Returns the currently selected text, if any.\nSynonyms:\nsilk/webview.get_selected_text\nsilk/webview get_selected_text","url":"silk/webview.html#get_selected_text"},{"doc":"silk/webview","title":"go_back","content":"pub fn go_back(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Navigate back in the history of visited pages.\n\n Only valid if `can_go_back` returns true.\nSynonyms:\nsilk/webview.go_back\nsilk/webview go_back","url":"silk/webview.html#go_back"},{"doc":"silk/webview","title":"go_forward","content":"pub fn go_forward(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Navigate forward in the history of visited pages.\n\n Only valid if `can_go_forward` returns true.\nSynonyms:\nsilk/webview.go_forward\nsilk/webview go_forward","url":"silk/webview.html#go_forward"},{"doc":"silk/webview","title":"has_selection","content":"pub fn has_selection(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if there is a current selection.\nSynonyms:\nsilk/webview.has_selection\nsilk/webview has_selection","url":"silk/webview.html#has_selection"},{"doc":"silk/webview","title":"is_backend_available","content":"pub fn is_backend_available(backend: String) -&gt; Bool\n Allows to check if a specific backend is currently available.\nSynonyms:\nsilk/webview.is_backend_available\nsilk/webview is_backend_available","url":"silk/webview.html#is_backend_available"},{"doc":"silk/webview","title":"is_busy","content":"pub fn is_busy(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns whether the web control is currently busy (e.g. loading a page).\nSynonyms:\nsilk/webview.is_busy\nsilk/webview is_busy","url":"silk/webview.html#is_busy"},{"doc":"silk/webview","title":"is_context_menu_enabled","content":"pub fn is_context_menu_enabled(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns true if a context menu will be shown on right click.\nSynonyms:\nsilk/webview.is_context_menu_enabled\nsilk/webview is_context_menu_enabled","url":"silk/webview.html#is_context_menu_enabled"},{"doc":"silk/webview","title":"is_editable","content":"pub fn is_editable(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Bool\n Returns whether the web control is currently editable.\nSynonyms:\nsilk/webview.is_editable\nsilk/webview is_editable","url":"silk/webview.html#is_editable"},{"doc":"silk/webview","title":"load_url","content":"pub fn load_url(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n  url: String,\n) -&gt; Result(Nil, Nil)\n Load a web page from a URL.\n\n Note: Web engines generally report errors asynchronously, so if\n you wish to know whether loading the URL was successful,\n register to receive navigation error events.\nSynonyms:\nsilk/webview.load_url\nsilk/webview load_url","url":"silk/webview.html#load_url"},{"doc":"silk/webview","title":"new","content":"pub fn new(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n) -&gt; WxObject(WxWindow(WxControl(WxWebView)))\n Equivalent to `new3(Parent, Id, [])`.\nSynonyms:\nsilk/webview.new\nsilk/webview new","url":"silk/webview.html#new"},{"doc":"silk/webview","title":"new3","content":"pub fn new3(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  options: List(Option),\n) -&gt; WxObject(WxWindow(WxControl(WxWebView)))\n Factory function to create a new `WxWebView` using a `wxWebViewFactory` (not implemented in wx).\n\n Return: The created `WxWebView`, or NULL if the requested backend is not available\nSynonyms:\nsilk/webview.new3\nsilk/webview new3","url":"silk/webview.html#new3"},{"doc":"silk/webview","title":"paste","content":"pub fn paste(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Pastes the current data.\nSynonyms:\nsilk/webview.paste\nsilk/webview paste","url":"silk/webview.html#paste"},{"doc":"silk/webview","title":"print","content":"pub fn print(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Opens a print dialog so that the user may print the currently displayed page.\nSynonyms:\nsilk/webview.print\nsilk/webview print","url":"silk/webview.html#print"},{"doc":"silk/webview","title":"redo","content":"pub fn redo(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Redos the last action.\nSynonyms:\nsilk/webview.redo\nsilk/webview redo","url":"silk/webview.html#redo"},{"doc":"silk/webview","title":"reload","content":"pub fn reload(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Equivalent to `reload2(This, [])`.\nSynonyms:\nsilk/webview.reload\nsilk/webview reload","url":"silk/webview.html#reload"},{"doc":"silk/webview","title":"reload2","content":"pub fn reload2(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Reload the currently displayed URL.\nSynonyms:\nsilk/webview.reload2\nsilk/webview reload2","url":"silk/webview.html#reload2"},{"doc":"silk/webview","title":"run_script","content":"pub fn run_script(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n  javascript: String,\n) -&gt; Result(Bool, String)\n Runs the given JavaScript code.\n\n JavaScript code is executed inside the browser control and has full access to DOM and other browser-provided functionality. For example, this code will replace the current page contents with the provided string.\n\n If `output` is non-null, it is filled with the result of executing this code on success, e.g. a JavaScript value such as a string, a number (integer or floating point), a boolean or JSON representation for non-primitive types such as arrays and objects. For example:\n\n This function has a few platform-specific limitations:\n - When using WebKit v1 in wxGTK2, retrieving the result of JavaScript execution is unsupported and this function will always return false if output is non-null to indicate this. This functionality is fully supported when using WebKit v2 or later in wxGTK3.\n - When using WebKit under macOS, code execution is limited to at most 10MiB of memory and 10 seconds of execution time.\n - When using IE backend under MSW, scripts can only be executed when the current page is fully loaded (i.e. wxEVT_WEBVIEW_LOADED event was received). A script tag inside the page HTML is required in order to run JavaScript.\n\n Also notice that under MSW converting JavaScript objects to JSON is not supported in the default emulation mode. wxWebView implements its own object-to-JSON conversion as a fallback for this case, however it is not as full-featured, well-tested or performing as the implementation of this functionality in the browser control itself, so it is recommended to use MSWSetEmulationLevel() to change emulation level to a more modern one in which JSON conversion is done by the control itself.\n\n Return: true if there is a result, false if there is an error.\nSynonyms:\nsilk/webview.run_script\nsilk/webview run_script","url":"silk/webview.html#run_script"},{"doc":"silk/webview","title":"select_all","content":"pub fn select_all(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Selects the entire page.\nSynonyms:\nsilk/webview.select_all\nsilk/webview select_all","url":"silk/webview.html#select_all"},{"doc":"silk/webview","title":"set_editable","content":"pub fn set_editable(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Equivalent to `setEditable2(This, [])`.\nSynonyms:\nsilk/webview.set_editable\nsilk/webview set_editable","url":"silk/webview.html#set_editable"},{"doc":"silk/webview","title":"set_editable2","content":"pub fn set_editable2(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n  option: EditableOption,\n) -&gt; Result(Nil, Nil)\n Set the editable property of the web control.\n\n Enabling allows the user to edit the page even if the contenteditable attribute is not set. The exact capabilities vary with the backend being used.\nSynonyms:\nsilk/webview.set_editable2\nsilk/webview set_editable2","url":"silk/webview.html#set_editable2"},{"doc":"silk/webview","title":"set_page","content":"pub fn set_page(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n  html: String,\n  baseurl: String,\n) -&gt; Result(Nil, Nil)\n Set the displayed page source to the contents of the given string.\n\n Note: When using wxWEBVIEW_BACKEND_IE you must wait for the current page to finish loading before calling setPage/3. The baseURL parameter is not used in this backend and the edge backend.\nSynonyms:\nsilk/webview.set_page\nsilk/webview set_page","url":"silk/webview.html#set_page"},{"doc":"silk/webview","title":"stop","content":"pub fn stop(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Stop the current page loading process, if any.\n\n May trigger an error event of type wxWEBVIEW_NAV_ERR_USER_CANCELLED. TODO: make wxWEBVIEW_NAV_ERR_USER_CANCELLED errors uniform across ports.\nSynonyms:\nsilk/webview.stop\nsilk/webview stop","url":"silk/webview.html#stop"},{"doc":"silk/webview","title":"undo","content":"pub fn undo(\n  this: WxObject(WxWindow(WxControl(WxWebView))),\n) -&gt; Result(Nil, Nil)\n Undos the last action.\nSynonyms:\nsilk/webview.undo\nsilk/webview undo","url":"silk/webview.html#undo"},{"doc":"silk/webview","title":"silk/webview","content":"","url":"silk/webview.html"},{"doc":"silk","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nsilk.main\nsilk main","url":"silk.html#main"},{"doc":"silk","title":"silk","content":"","url":"silk.html"},{"doc":"silk/constants","title":"direction_all","content":"pub const direction_all: Int\n\nSynonyms:\nsilk/constants.direction_all\nsilk/constants direction_all","url":"silk/constants.html#direction_all"},{"doc":"silk/constants","title":"direction_down","content":"pub const direction_down: Int\n\nSynonyms:\nsilk/constants.direction_down\nsilk/constants direction_down","url":"silk/constants.html#direction_down"},{"doc":"silk/constants","title":"direction_left","content":"pub const direction_left: Int\n\nSynonyms:\nsilk/constants.direction_left\nsilk/constants direction_left","url":"silk/constants.html#direction_left"},{"doc":"silk/constants","title":"direction_right","content":"pub const direction_right: Int\n\nSynonyms:\nsilk/constants.direction_right\nsilk/constants direction_right","url":"silk/constants.html#direction_right"},{"doc":"silk/constants","title":"direction_up","content":"pub const direction_up: Int\n\nSynonyms:\nsilk/constants.direction_up\nsilk/constants direction_up","url":"silk/constants.html#direction_up"},{"doc":"silk/constants","title":"horizontal","content":"pub const horizontal: Int\n\nSynonyms:\nsilk/constants.horizontal\nsilk/constants horizontal","url":"silk/constants.html#horizontal"},{"doc":"silk/constants","title":"id_any","content":"pub const id_any: Int\n Constants from Enum used in wx\nSynonyms:\nsilk/constants.id_any\nsilk/constants id_any","url":"silk/constants.html#id_any"},{"doc":"silk/constants","title":"stretch_expand","content":"pub const stretch_expand: Int\n\nSynonyms:\nsilk/constants.stretch_expand\nsilk/constants stretch_expand","url":"silk/constants.html#stretch_expand"},{"doc":"silk/constants","title":"stretch_grow","content":"pub const stretch_grow: Int\n\nSynonyms:\nsilk/constants.stretch_grow\nsilk/constants stretch_grow","url":"silk/constants.html#stretch_grow"},{"doc":"silk/constants","title":"vertical","content":"pub const vertical: Int\n\nSynonyms:\nsilk/constants.vertical\nsilk/constants vertical","url":"silk/constants.html#vertical"},{"doc":"silk/constants","title":"silk/constants","content":"","url":"silk/constants.html"},{"doc":"silk/control","title":"WxControl","content":"pub type WxControl(t) =\n  WxWindow(types.WxControl(t))\n\n\nSynonyms:\nsilk/control.WxControl\nsilk/control WxControl","url":"silk/control.html#WxControl"},{"doc":"silk/control","title":"get_label","content":"pub fn get_label(\n  this: WxObject(WxWindow(WxControl(a))),\n) -&gt; String\n Returns the control&#39;s label, as it was passed to [`setLabel`](#set_label).\n Note that the returned string may contains mnemonics (&quot;&amp;&quot; characters)\n if they were passed to the `setLabel` function; use `GetLabelText()`\n (not implemented in wx) if they are undesired.\n\n Also note that the returned string is always the string which was passed\n to `setLabel` but may be different from the string passed to\n `SetLabelText()` (not implemented in wx) (since this last one escapes\n mnemonic characters).\nSynonyms:\nsilk/control.get_label\nsilk/control get_label","url":"silk/control.html#get_label"},{"doc":"silk/control","title":"set_label","content":"pub fn set_label(\n  this: WxObject(WxWindow(WxControl(a))),\n  label: String,\n) -&gt; OkT\n Sets the control&#39;s label.\n\n All &quot;&amp;&quot; characters in the label are special and indicate that the\n following character is a `mnemonic` for this control and can be used to\n activate it from the keyboard (typically by using `Alt` key in\n combination with it). To insert a literal ampersand character, you need\n to double it, i.e. use &quot;&amp;&amp;&quot;. If this behaviour is undesirable, use\n `SetLabelText()` (not implemented in wx) instead.\nSynonyms:\nsilk/control.set_label\nsilk/control set_label","url":"silk/control.html#set_label"},{"doc":"silk/control","title":"silk/control","content":" This is the base class for a control or &quot;widget&quot;.\n\n A control is generally a small window which processes user input\n and/or displays one or more item of data.\n\n Derived from [`WxWindow`](window.html#WxWindow), [`WxEvtHandler`](evthandler.html#WxEvtHandler)","url":"silk/control.html"},{"doc":"silk/sizeritem","title":"assign_sizer","content":"pub fn assign_sizer(\n  this: WxSizerItem,\n  sizer: WxSizer(a),\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nsilk/sizeritem.assign_sizer\nsilk/sizeritem assign_sizer","url":"silk/sizeritem.html#assign_sizer"},{"doc":"silk/sizeritem","title":"silk/sizeritem","content":"","url":"silk/sizeritem.html"},{"doc":"silk/staticboxsizer","title":"Label","content":"pub type Label {\n  Label(String)\n}\n\nLabel(String)\n\n\nSynonyms:\nsilk/staticboxsizer.Label\nsilk/staticboxsizer Label","url":"silk/staticboxsizer.html#Label"},{"doc":"silk/staticboxsizer","title":"WxStaticBoxSizer","content":"pub type WxStaticBoxSizer =\n  boxsizer.WxBoxSizer(types.WxStaticBoxSizer)\n\n\nSynonyms:\nsilk/staticboxsizer.WxStaticBoxSizer\nsilk/staticboxsizer WxStaticBoxSizer","url":"silk/staticboxsizer.html#WxStaticBoxSizer"},{"doc":"silk/staticboxsizer","title":"destroy","content":"pub fn destroy(\n  this: WxSizer(WxBoxSizer(WxStaticBoxSizer)),\n) -&gt; OkT\n Destroys the object\nSynonyms:\nsilk/staticboxsizer.destroy\nsilk/staticboxsizer destroy","url":"silk/staticboxsizer.html#destroy"},{"doc":"silk/staticboxsizer","title":"new2","content":"pub fn new2(\n  orient: Int,\n  parent: WxObject(WxWindow(a)),\n) -&gt; WxSizer(WxBoxSizer(WxStaticBoxSizer))\n This constructor uses an already existing static box.\nSynonyms:\nsilk/staticboxsizer.new2\nsilk/staticboxsizer new2","url":"silk/staticboxsizer.html#new2"},{"doc":"silk/staticboxsizer","title":"new3","content":"pub fn new3(\n  orient: Int,\n  parent: WxObject(WxWindow(a)),\n  option: List(Label),\n) -&gt; WxSizer(WxBoxSizer(WxStaticBoxSizer))\n This constructor creates a new static box with the given label and parent window.\nSynonyms:\nsilk/staticboxsizer.new3\nsilk/staticboxsizer new3","url":"silk/staticboxsizer.html#new3"},{"doc":"silk/staticboxsizer","title":"silk/staticboxsizer","content":" wxStaticBoxSizer is a sizer derived from wxBoxSizer but adds a static box around the sizer.\n\n The static box may be either created independently or the sizer may create it itself as a convenience. In any case, the sizer owns the wxStaticBox control and will delete it in the wxStaticBoxSizer destructor.\n\n Note that since wxWidgets 2.9.1 you are encouraged to create the windows which are added to wxStaticBoxSizer as children of wxStaticBox itself, see this class documentation for more details.\n\n Derived from [`WxBoxSizer`](boxsizer.html#WxBoxSizer), [`WxSizer`](sizer.html#WxSizer)","url":"silk/staticboxsizer.html"},{"doc":"silk/statictext","title":"Option","content":"pub type Option {\n  Pos(#(Int, Int))\n  Size(#(Int, Int))\n  Style(Int)\n}\n\nPos(#(Int, Int))\n\n\nSize(#(Int, Int))\n\n\nStyle(Int)\n\n\nSynonyms:\nsilk/statictext.Option\nsilk/statictext Option","url":"silk/statictext.html#Option"},{"doc":"silk/statictext","title":"WxStaticText","content":"pub type WxStaticText =\n  control.WxControl(types.WxStaticText)\n\n\nSynonyms:\nsilk/statictext.WxStaticText\nsilk/statictext WxStaticText","url":"silk/statictext.html#WxStaticText"},{"doc":"silk/statictext","title":"create","content":"pub fn create(\n  this: WxObject(WxWindow(WxControl(WxStaticText))),\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  label: String,\n) -&gt; WxObject(WxWindow(WxControl(WxStaticText)))\n Equivalent to `create(this, parent, id, label, [])`\nSynonyms:\nsilk/statictext.create\nsilk/statictext create","url":"silk/statictext.html#create"},{"doc":"silk/statictext","title":"create5","content":"pub fn create5(\n  this: WxObject(WxWindow(WxControl(WxStaticText))),\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  label: String,\n  option: List(Option),\n) -&gt; WxObject(WxWindow(WxControl(WxStaticText)))\n Create function, for two-step construction.\nSynonyms:\nsilk/statictext.create5\nsilk/statictext create5","url":"silk/statictext.html#create5"},{"doc":"silk/statictext","title":"destroy","content":"pub fn destroy(\n  this: WxObject(WxWindow(WxControl(WxStaticText))),\n) -&gt; OkT\n Destroys the object\nSynonyms:\nsilk/statictext.destroy\nsilk/statictext destroy","url":"silk/statictext.html#destroy"},{"doc":"silk/statictext","title":"get_label","content":"pub fn get_label(\n  this: WxObject(WxWindow(WxControl(WxStaticText))),\n) -&gt; String\n Returns the control&#39;s label, as it was passed to wxControl:setLabel/2.\n\n Note that the returned string may contains mnemonics (&quot;&amp;&quot; characters) if\n they were passed to the wxControl:setLabel/2 function; use GetLabelText()\n (not implemented in wx) if they are undesired.\n\n Also note that the returned string is always the string which was passed to\n wxControl:setLabel/2 but may be different from the string passed to\n SetLabelText() (not implemented in wx) (since this last one escapes mnemonic\n characters).\nSynonyms:\nsilk/statictext.get_label\nsilk/statictext get_label","url":"silk/statictext.html#get_label"},{"doc":"silk/statictext","title":"new","content":"pub fn new() -&gt; WxObject(WxWindow(WxControl(WxStaticText)))\n Default constructor.\nSynonyms:\nsilk/statictext.new\nsilk/statictext new","url":"silk/statictext.html#new"},{"doc":"silk/statictext","title":"new3","content":"pub fn new3(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  label: String,\n) -&gt; WxObject(WxWindow(WxControl(WxStaticText)))\n Equivalent to `new(parent, id, label, [])`\nSynonyms:\nsilk/statictext.new3\nsilk/statictext new3","url":"silk/statictext.html#new3"},{"doc":"silk/statictext","title":"new4","content":"pub fn new4(\n  parent: WxObject(WxWindow(a)),\n  id: Int,\n  label: String,\n  option: List(Option),\n) -&gt; WxObject(WxWindow(WxControl(WxStaticText)))\n Constructor, creating and showing a text control.\n\n See `create`\nSynonyms:\nsilk/statictext.new4\nsilk/statictext new4","url":"silk/statictext.html#new4"},{"doc":"silk/statictext","title":"set_label","content":"pub fn set_label(\n  this: WxObject(WxWindow(WxControl(WxStaticText))),\n  label: String,\n) -&gt; OkT\n Change the label shown in the control.\n\n Notice that since wxWidgets 3.1.1 this function is guaranteed not to do\n anything if the label didn&#39;t really change, so there is no benefit to\n checking if the new label is different from the current one in the\n application code.\n\n See: `wxControl:setLabel/2`\nSynonyms:\nsilk/statictext.set_label\nsilk/statictext set_label","url":"silk/statictext.html#set_label"},{"doc":"silk/statictext","title":"wrap","content":"pub fn wrap(\n  this: WxObject(WxWindow(WxControl(WxStaticText))),\n  width: Int,\n) -&gt; OkT\n This functions wraps the controls label so that each of its lines becomes at\n most width pixels wide if possible (the lines are broken at words boundaries\n so it might not be the case if words are too long).\n\n If width is negative, no wrapping is done. Note that this width is not\n necessarily the total width of the control, since a few pixels for the\n border (depending on the controls border style) may be added.\nSynonyms:\nsilk/statictext.wrap\nsilk/statictext wrap","url":"silk/statictext.html#wrap"},{"doc":"silk/statictext","title":"silk/statictext","content":" A static text control displays one or more lines of read-only text.\n\n wxStaticText supports the three classic text alignments, label\n ellipsization i.e. replacing parts of the text with the ellipsis\n (&quot;...&quot;) if the label doesn&#39;t fit into the provided space and also\n formatting markup with wxControl::SetLabelMarkup() (not\n implemented in wx).\n\n Derived from [`WxControl`](window.html#WxControl),\n [`WxWindow`](evthandler.html#WxWindow),\n [`WxEvtHandler`](evthandler.html#WxEvtHandler)","url":"silk/statictext.html"}]);